wai-extra-3.0.13.1: Provides some basic WAI handlers and middleware.

Safe Haskell | None
Language | Haskell98

Network.Wai.Middleware.Rewrite

Synopsis

- rewrite :: ([Text] -> RequestHeaders -> IO [Text]) -> Middleware
- rewritePure :: ([Text] -> RequestHeaders -> [Text]) -> Middleware

# Documentation

rewrite :: ([Text] -> RequestHeaders -> IO [Text]) -> Middleware Source

rewrite based on your own conversion rules

rewritePure :: ([Text] -> RequestHeaders -> [Text]) -> Middleware Source

rewrite based on your own conversion rules Example convert function: